NNG_AIO_SET_INPUT(3)

NAME
nng_aio_set_input - set input parameter

SYNOPSIS

    #include <nng/nng.h>
    void nng_aio_set_input(nng_aio *aio, unsigned int index, void *param);

DESCRIPTION

The nng_aio_set_input() function sets the input parameter at index to param for the asynchronous operation associated with aio.

The type and semantics of input parameters are determined by specific operations; the caller must supply appropriate inputs for the operation to be performed.

The valid values of index range from zero (0) to three (3), as no operation currently defined can accept more than four parameters. (This limit could increase in the future.)

    Note

    If the index does not correspond to a defined input for the operation, then this function will have no effect.

    Important

    It is an error to call this function while the aio is currently in use by an active asynchronous operation.

An input parameter set with this function may be retrieved later with the nng_aio_get_input() function.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_aio_alloc(3), nng_aio_get_input(3), nng_aio_get_output(3), nng_aio_result(3), nng_aio(5), nng(7)